Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 880334 - [abrt] gnome-shell-3.4.1-6.fc17: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnome-shell-3.4.1-6.fc17: Process /usr/bin/gnome-shell was killed by s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ec6c4d2ca6e1b48b47c471538fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 18:12 UTC by fedbugzilla
Modified: 2013-08-01 07:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 07:26:01 UTC
Type: ---


Attachments (Terms of Use)
File: environ (1.13 KB, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: backtrace (95.00 KB, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: cgroup (129 bytes, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: smolt_data (3.40 KB, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: xsession_errors (446 bytes, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: executable (20 bytes, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: maps (92.40 KB, text/plain)
2012-11-26 18:12 UTC, fedbugzilla
no flags Details
File: dso_list (21.79 KB, text/plain)
2012-11-26 18:13 UTC, fedbugzilla
no flags Details
File: build_ids (7.01 KB, text/plain)
2012-11-26 18:13 UTC, fedbugzilla
no flags Details
File: var_log_messages (400 bytes, text/plain)
2012-11-26 18:13 UTC, fedbugzilla
no flags Details
File: open_fds (1.45 KB, text/plain)
2012-11-26 18:13 UTC, fedbugzilla
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2012-11-26 18:13 UTC, fedbugzilla
no flags Details

Description fedbugzilla 2012-11-26 18:12:40 UTC
Description of problem:
system is very close to standard Fedora 17 as reinstalled (fresh install) on 22-11-2012

Events leading up to gnomeshell crash.
Record a long track in audacity-freeworld
allow the screen to lock (standard gnome shell lock, set to 1 hour)
system goes down (I couldn't say whether it crashes, freezes or locks as I'm just going by the interruption to the (recovered) recorded audacity track)
Bring system out of sleep, results in new X session.
I was just logging in to Thunderbird (seconds into session) when gnomeshell crashed (according to abrt)

The audacity crash on screen lock happened on old (Fedora 17) system. The gnomeshell crash has not happened before.

After reinstall, Xsessions were stable during/coming out of sleep. These problems have (re)surfaced after install of 
Audacity-freeworld
pavucontrol
alsamixer
although I have no absolute proof that there is any causal link.






Version-Release number of selected component:
gnome-shell-3.4.1-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
kernel:         3.6.7-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ??
: #1 general_composite_rect at pixman-general.c:197
: #2 pixman_image_composite32 at pixman.c:712
: #3 _composite_glyphs at cairo-image-surface.c:4011
: #4 _clip_and_composite at cairo-image-surface.c:2325
: #5 _cairo_image_surface_glyphs at cairo-image-surface.c:4071
: #6 _cairo_surface_show_text_glyphs at cairo-surface.c:2640
: #8 _cairo_gstate_show_text_glyphs at cairo-gstate.c:1981
: #9 cairo_show_glyphs at cairo.c:3509
: #11 cogl_pango_renderer_set_dirty_glyph at cogl-pango-render.c:529

Comment 1 fedbugzilla 2012-11-26 18:12:44 UTC
Created attachment 652134 [details]
File: environ

Comment 2 fedbugzilla 2012-11-26 18:12:46 UTC
Created attachment 652135 [details]
File: backtrace

Comment 3 fedbugzilla 2012-11-26 18:12:48 UTC
Created attachment 652136 [details]
File: limits

Comment 4 fedbugzilla 2012-11-26 18:12:49 UTC
Created attachment 652137 [details]
File: cgroup

Comment 5 fedbugzilla 2012-11-26 18:12:51 UTC
Created attachment 652138 [details]
File: smolt_data

Comment 6 fedbugzilla 2012-11-26 18:12:53 UTC
Created attachment 652139 [details]
File: xsession_errors

Comment 7 fedbugzilla 2012-11-26 18:12:56 UTC
Created attachment 652140 [details]
File: executable

Comment 8 fedbugzilla 2012-11-26 18:12:58 UTC
Created attachment 652141 [details]
File: maps

Comment 9 fedbugzilla 2012-11-26 18:13:00 UTC
Created attachment 652142 [details]
File: dso_list

Comment 10 fedbugzilla 2012-11-26 18:13:02 UTC
Created attachment 652143 [details]
File: build_ids

Comment 11 fedbugzilla 2012-11-26 18:13:04 UTC
Created attachment 652144 [details]
File: var_log_messages

Comment 12 fedbugzilla 2012-11-26 18:13:08 UTC
Created attachment 652145 [details]
File: open_fds

Comment 13 fedbugzilla 2012-11-26 18:13:10 UTC
Created attachment 652146 [details]
File: proc_pid_status

Comment 14 Fedora End Of Life 2013-07-04 02:05:17 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 07:26:10 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.